Create User
curl --request POST \
--url https://api.birdeye.com/resources/v1/user/signup/v2 \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "Rhonda",
"lastName": "Spears",
"userEmailId": "rhonda.spears@example.com",
"phone": "408-xxx-xxxx",
"userRole": "owner",
"sendInvite": true
}
'import requests
url = "https://api.birdeye.com/resources/v1/user/signup/v2"
payload = {
"firstName": "Rhonda",
"lastName": "Spears",
"userEmailId": "rhonda.spears@example.com",
"phone": "408-xxx-xxxx",
"userRole": "owner",
"sendInvite": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'Rhonda',
lastName: 'Spears',
userEmailId: 'rhonda.spears@example.com',
phone: '408-xxx-xxxx',
userRole: 'owner',
sendInvite: true
})
};
fetch('https://api.birdeye.com/resources/v1/user/signup/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 1052,
"message": "User email id cannot be blank"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1175,
"message": "No business found with the given id"
}{
"code": 1160,
"message": "User is already associated with business."
}{
"code": 89,
"message": "Rate limit exceeded"
}User
Signup
Create User API creates a new user for a business. By default, an invitation is sent to the user via email.
POST
/
v1
/
user
/
signup
/
v2
Create User
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
e.g. [Required] User associated businessNumber
Media type of the JSON request body.
Body
application/json
Email Id of the user that’s being added to this business.
User role. Valid values are "owner","admin". Default is "owner".
First name of the user.
Last name of the user.
Mobile number of the user.
Whether to send invite email to the user. Default is true.
Response
OK
⌘I